# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class ParseSource

    java.lang.Object
      com.google.gdata.data.ParseSource

    public class ParseSource

extends java.lang.Object

The ParseSource class represents a data input source that can be used to read parseable GData content.

Constructor Summary
`ParseSource(java.io.InputStream inputStream)` Constructs a new GData input source using data from an `InputStream`.
`ParseSource(java.io.Reader reader)` Constructs a new GData input source using data from a `Reader`.
`ParseSource(XmlEventSource eventSource)` Constructs a new GData input source using data from an `XmlParser`.

Method Summary
`XmlEventSource` `getEventSource()` Returns the `Reader` associated with the input source or `null` if associated with a different source type.
`java.io.InputStream` `getInputStream()` Returns the `Reader` associated with the input source or `null` if associated with a different source type.
`java.io.Reader` `getReader()` Returns the `Reader` associated with the input source or `null` if associated with a different source type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParseSource

    public ParseSource(java.io.Reader reader)

  Constructs a new GData input source using data from a `Reader`.

### ParseSource

    public ParseSource(java.io.InputStream inputStream)

  Constructs a new GData input source using data from an `InputStream`.

### ParseSource

    public ParseSource(XmlEventSource eventSource)

  Constructs a new GData input source using data from an `XmlParser`.

Method Detail

### getReader

    public final java.io.Reader getReader()

  Returns the `Reader` associated with the input source or `null` if associated with a different source type.

### getInputStream

    public final java.io.InputStream getInputStream()

  Returns the `Reader` associated with the input source or `null` if associated with a different source type.

### getEventSource

    public final XmlEventSource getEventSource()

  Returns the `Reader` associated with the input source or `null` if associated with a different source type.